function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import { stylisPluginCssVariables } from '../plugin';
describe('stylisPluginCssVariables', function () {
  /* eslint-disable */
  var baseArgs = {
    context: 2,
    content: '',
    selectors: ['.font'],
    parents: [],
    line: 80,
    column: 2,
    length: 10,
    type: 105
  };
  /* eslint-enable */

  test('doesnt blow up when rendering server side', function () {
    // this should be in jest-env-node, so just gotta do the thing
    var plugin = stylisPluginCssVariables();

    var args = _objectSpread({}, baseArgs);

    expect(typeof window).toBe('undefined');
    args.content = ['font-size: var( --font, 14px );'].join('');
    var result = plugin.apply(void 0, Object.values(args));
    expect(result).toBe(['font-size:14px;', 'font-size: var( --font, 14px );'].join(''));
  });
});